purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.CoreFn.Ann

Synopsis

- type Ann = (SourceSpan, [Comment], Maybe Meta)
- ssAnn :: SourceSpan -> Ann
- removeComments :: Ann -> Ann

# Documentation

type Ann = (SourceSpan, [Comment], Maybe Meta) #

Type alias for basic annotations

ssAnn :: SourceSpan -> Ann #

An annotation empty of metadata aside from a source span.

removeComments :: Ann -> Ann #

Remove the comments from an annotation